Package org.apache.synapse.commons.throttle.core

## Class ThrottleConstants

- java.lang.Object
- - org.apache.synapse.commons.throttle.core.ThrottleConstants

-     public final class ThrottleConstants
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `ACCESS_ALLOWED` |
    `static int` | `ACCESS_CONTROLLED` |
    `static int` | `ACCESS_DENIED` |
    `static String` | `ADMIN_SERVICE_PARAM_NAME` | Parameter names which are used to identify special services..
    `static String` | `ALLOW_PARAMETER_NAME` |
    `static String` | `CAC_SUFFIX` |
    `static String` | `CONTROL_PARAMETER_NAME` |
    `static long` | `DEFAULT_THROTTLE_CLEAN_PERIOD` |
    `static String` | `DEFAULT_THROTTLE_CONTEXT_ID` |
    `static String` | `DENY_PARAMETER_NAME` |
    `static String` | `DISTRIBUTED_COUNTER_CONFIGURATIONS` |
    `static String` | `DISTRIBUTED_COUNTER_TYPE` |
    `static int` | `DOMAIN_BASE` |
    `static String` | `DOMAIN_BASED_THROTTLE_KEY` |
    `static String` | `DOMAIN_NAME_PROPERTY` |
    `static String` | `DUMMY_TOKEN` | Dummy token for token based throttling policy initialization
    `static String` | `DYNAMIC_SERVICE_PARAM_NAME` |
    `static int` | `GLOBAL_THROTTLE` |
    `static String` | `GLOBAL_THROTTLE_ID` |
    `static String` | `GLOBAL_THROTTLE_KEY` |
    `static String` | `GLOBAL_THROTTLE_PATH_PARAM` | This global throttle path can be used to point to an external global throttle policy using the axis.xml
    `static String` | `HAZELCAST` |
    `static String` | `HIDDEN_SERVICE_PARAM_NAME` |
    `static String` | `HYBRID_THROTTLE_PROCESSOR_WINDOW_TYPE` |
    `static String` | `ID_PARAMETER_NAME` |
    `static int` | `IP_BASE` |
    `static String` | `IP_BASED_THROTTLE_KEY` |
    `static String` | `ISALLOW_PARAMETER_NAME` | Deprecated.
    `static String` | `KEY_OF_DEFAULT_CONFIGURATION_FOR_OTHER` |
    `static String` | `LOCAL_QUOTA_BUFFER_PERCENTAGE` |
    `static String` | `MAX_NON_ASSOCIATED_COUNTER_CLEANUP_AMOUNT` |
    `static String` | `MAXIMUM_CONCURRENT_ACCESS_PARAMETER_NAME` |
    `static String` | `MAXIMUM_COUNT_PARAMETER_NAME` |
    `static QName` | `MEDIATOR_THROTTLE_ASSERTION_QNAME` |
    `static QName` | `MODULE_THROTTLE_ASSERTION_QNAME` |
    `static int` | `OPERATION_BASED_THROTTLE` |
    `static QName` | `OPERATION_THROTTLE_ASSERTION_QNAME` |
    `static String` | `PROHIBIT_TIME_PERIOD_PARAMETER_NAME` |
    `static int` | `ROLE_BASE` |
    `static String` | `ROLE_BASED_THROTTLE_KEY` |
    `static int` | `SERVICE_BASED_THROTTLE` |
    `static QName` | `SERVICE_THROTTLE_ASSERTION_QNAME` |
    `static QName` | `THROTTLE_ASSERTION_QNAME` | Deprecated.
    `static String` | `THROTTLE_CONTEXT_CLEANUP_TASK_FREQUENCY` |
    `static String` | `THROTTLE_CONTEXT_DISTRIBUTED_CLEANUP_TASK_FREQUENCY` |
    `static String` | `THROTTLE_CONTEXT_DISTRIBUTED_EXPIRED_INSTANCE_TIME` |
    `static String` | `THROTTLE_DISTRIBUTED_CLEANUP_AMOUNT` |
    `static String` | `THROTTLE_DISTRIBUTED_CLEANUP_POOL_SIZE` |
    `static String` | `THROTTLE_DISTRIBUTED_CLEANUP_TASK_ENABLE` |
    `static String` | `THROTTLE_INFO_KEY` |
    `static String` | `THROTTLE_LOCK_KEY_PREFIX` |
    `static String` | `THROTTLE_MODULE_NAME` |
    `static String` | `THROTTLE_NS` |
    `static String` | `THROTTLE_NS_PREFIX` |
    `static String` | `THROTTLE_PROPERTY_PREFIX` |
    `static String` | `THROTTLE_SHARED_COUNTER_KEY` |
    `static String` | `THROTTLE_SYNC_ASYNC_HYBRID_MODE_ENABLED` |
    `static String` | `THROTTLE_TIMESTAMP_KEY` |
    `static QName` | `THROTTLE_TYPE_ATTRIBUTE_QNAME` |
    `static String` | `THROTTLES_MAP` |
    `static String` | `THROTTLING_KEYS_TO_REPLICATE` |
    `static String` | `THROTTLING_POOL_SIZE` |
    `static String` | `THROTTLING_REPLICATION_FREQUENCY` |
    `static String` | `TOKEN_BASED_THROTTLE_KEY` |
    `static String` | `UNIT_TIME_PARAMETER_NAME` |
    `static String` | `WINDOW_REPLICATOR_FREQUENCY` |
    `static String` | `WINDOW_REPLICATOR_POOL_SIZE` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### HAZELCAST

          public static final String HAZELCAST

      See Also:
        Constant Field Values

    - #### THROTTLE_MODULE_NAME

          public static final String THROTTLE_MODULE_NAME

      See Also:
        Constant Field Values

    - #### THROTTLE_NS

          public static final String THROTTLE_NS

      See Also:
        Constant Field Values

    - #### THROTTLE_NS_PREFIX

          public static final String THROTTLE_NS_PREFIX

      See Also:
        Constant Field Values

    - #### IP_BASE

          public static final int IP_BASE

      See Also:
        Constant Field Values

    - #### DOMAIN_BASE

          public static final int DOMAIN_BASE

      See Also:
        Constant Field Values

    - #### ROLE_BASE

          public static final int ROLE_BASE

      See Also:
        Constant Field Values

    - #### GLOBAL_THROTTLE

          public static final int GLOBAL_THROTTLE

      See Also:
        Constant Field Values

    - #### SERVICE_BASED_THROTTLE

          public static final int SERVICE_BASED_THROTTLE

      See Also:
        Constant Field Values

    - #### OPERATION_BASED_THROTTLE

          public static final int OPERATION_BASED_THROTTLE

      See Also:
        Constant Field Values

    - #### THROTTLE_ASSERTION_QNAME

          public static final QName THROTTLE_ASSERTION_QNAME

      Deprecated.

    - #### OPERATION_THROTTLE_ASSERTION_QNAME

          public static final QName OPERATION_THROTTLE_ASSERTION_QNAME

    - #### SERVICE_THROTTLE_ASSERTION_QNAME

          public static final QName SERVICE_THROTTLE_ASSERTION_QNAME

    - #### MODULE_THROTTLE_ASSERTION_QNAME

          public static final QName MODULE_THROTTLE_ASSERTION_QNAME

    - #### MEDIATOR_THROTTLE_ASSERTION_QNAME

          public static final QName MEDIATOR_THROTTLE_ASSERTION_QNAME

    - #### THROTTLE_TYPE_ATTRIBUTE_QNAME

          public static final QName THROTTLE_TYPE_ATTRIBUTE_QNAME

    - #### KEY_OF_DEFAULT_CONFIGURATION_FOR_OTHER

          public static final String KEY_OF_DEFAULT_CONFIGURATION_FOR_OTHER

      See Also:
        Constant Field Values

    - #### ISALLOW_PARAMETER_NAME

          public static final String ISALLOW_PARAMETER_NAME

      Deprecated.
      See Also:
        Constant Field Values

    - #### ALLOW_PARAMETER_NAME

          public static final String ALLOW_PARAMETER_NAME

      See Also:
        Constant Field Values

    - #### CONTROL_PARAMETER_NAME

          public static final String CONTROL_PARAMETER_NAME

      See Also:
        Constant Field Values

    - #### DENY_PARAMETER_NAME

          public static final String DENY_PARAMETER_NAME

      See Also:
        Constant Field Values

    - #### DEFAULT_THROTTLE_CONTEXT_ID

          public static final String DEFAULT_THROTTLE_CONTEXT_ID

      See Also:
        Constant Field Values

    - #### UNIT_TIME_PARAMETER_NAME

          public static final String UNIT_TIME_PARAMETER_NAME

      See Also:
        Constant Field Values

    - #### MAXIMUM_COUNT_PARAMETER_NAME

          public static final String MAXIMUM_COUNT_PARAMETER_NAME

      See Also:
        Constant Field Values

    - #### PROHIBIT_TIME_PERIOD_PARAMETER_NAME

          public static final String PROHIBIT_TIME_PERIOD_PARAMETER_NAME

      See Also:
        Constant Field Values

    - #### ID_PARAMETER_NAME

          public static final String ID_PARAMETER_NAME

      See Also:
        Constant Field Values

    - #### MAXIMUM_CONCURRENT_ACCESS_PARAMETER_NAME

          public static final String MAXIMUM_CONCURRENT_ACCESS_PARAMETER_NAME

      See Also:
        Constant Field Values

    - #### GLOBAL_THROTTLE_PATH_PARAM

          public static final String GLOBAL_THROTTLE_PATH_PARAM

      This global throttle path can be used to point to an external global throttle policy using the axis.xml
      See Also:
        Constant Field Values

    - #### ACCESS_CONTROLLED

          public static final int ACCESS_CONTROLLED

      See Also:
        Constant Field Values

    - #### ACCESS_DENIED

          public static final int ACCESS_DENIED

      See Also:
        Constant Field Values

    - #### ACCESS_ALLOWED

          public static final int ACCESS_ALLOWED

      See Also:
        Constant Field Values

    - #### DEFAULT_THROTTLE_CLEAN_PERIOD

          public static final long DEFAULT_THROTTLE_CLEAN_PERIOD

      See Also:
        Constant Field Values

    - #### THROTTLE_PROPERTY_PREFIX

          public static final String THROTTLE_PROPERTY_PREFIX

      See Also:
        Constant Field Values

    - #### THROTTLES_MAP

          public static final String THROTTLES_MAP

      See Also:
        Constant Field Values

    - #### IP_BASED_THROTTLE_KEY

          public static final String IP_BASED_THROTTLE_KEY

      See Also:
        Constant Field Values

    - #### DOMAIN_BASED_THROTTLE_KEY

          public static final String DOMAIN_BASED_THROTTLE_KEY

      See Also:
        Constant Field Values

    - #### ROLE_BASED_THROTTLE_KEY

          public static final String ROLE_BASED_THROTTLE_KEY

      See Also:
        Constant Field Values

    - #### TOKEN_BASED_THROTTLE_KEY

          public static final String TOKEN_BASED_THROTTLE_KEY

      See Also:
        Constant Field Values

    - #### GLOBAL_THROTTLE_KEY

          public static final String GLOBAL_THROTTLE_KEY

      See Also:
        Constant Field Values

    - #### CAC_SUFFIX

          public static final String CAC_SUFFIX

      See Also:
        Constant Field Values

    - #### GLOBAL_THROTTLE_ID

          public static final String GLOBAL_THROTTLE_ID

      See Also:
        Constant Field Values

    - #### ADMIN_SERVICE_PARAM_NAME

          public static final String ADMIN_SERVICE_PARAM_NAME

      Parameter names which are used to identify special services..
      See Also:
        Constant Field Values

    - #### HIDDEN_SERVICE_PARAM_NAME

          public static final String HIDDEN_SERVICE_PARAM_NAME

      See Also:
        Constant Field Values

    - #### DYNAMIC_SERVICE_PARAM_NAME

          public static final String DYNAMIC_SERVICE_PARAM_NAME

      See Also:
        Constant Field Values

    - #### DOMAIN_NAME_PROPERTY

          public static final String DOMAIN_NAME_PROPERTY

      See Also:
        Constant Field Values

    - #### DUMMY_TOKEN

          public static final String DUMMY_TOKEN

      Dummy token for token based throttling policy initialization
      See Also:
        Constant Field Values

    - #### THROTTLE_INFO_KEY

          public static final String THROTTLE_INFO_KEY

      See Also:
        Constant Field Values

    - #### THROTTLE_TIMESTAMP_KEY

          public static final String THROTTLE_TIMESTAMP_KEY

      See Also:
        Constant Field Values

    - #### THROTTLE_SHARED_COUNTER_KEY

          public static final String THROTTLE_SHARED_COUNTER_KEY

      See Also:
        Constant Field Values

    - #### THROTTLE_LOCK_KEY_PREFIX

          public static final String THROTTLE_LOCK_KEY_PREFIX

      See Also:
        Constant Field Values

    - #### THROTTLE_CONTEXT_CLEANUP_TASK_FREQUENCY

          public static final String THROTTLE_CONTEXT_CLEANUP_TASK_FREQUENCY

      See Also:
        Constant Field Values

    - #### THROTTLE_CONTEXT_DISTRIBUTED_CLEANUP_TASK_FREQUENCY

          public static final String THROTTLE_CONTEXT_DISTRIBUTED_CLEANUP_TASK_FREQUENCY

      See Also:
        Constant Field Values

    - #### THROTTLE_CONTEXT_DISTRIBUTED_EXPIRED_INSTANCE_TIME

          public static final String THROTTLE_CONTEXT_DISTRIBUTED_EXPIRED_INSTANCE_TIME

      See Also:
        Constant Field Values

    - #### THROTTLE_DISTRIBUTED_CLEANUP_POOL_SIZE

          public static final String THROTTLE_DISTRIBUTED_CLEANUP_POOL_SIZE

      See Also:
        Constant Field Values

    - #### THROTTLE_DISTRIBUTED_CLEANUP_AMOUNT

          public static final String THROTTLE_DISTRIBUTED_CLEANUP_AMOUNT

      See Also:
        Constant Field Values

    - #### MAX_NON_ASSOCIATED_COUNTER_CLEANUP_AMOUNT

          public static final String MAX_NON_ASSOCIATED_COUNTER_CLEANUP_AMOUNT

      See Also:
        Constant Field Values

    - #### THROTTLE_DISTRIBUTED_CLEANUP_TASK_ENABLE

          public static final String THROTTLE_DISTRIBUTED_CLEANUP_TASK_ENABLE

      See Also:
        Constant Field Values

    - #### THROTTLING_POOL_SIZE

          public static final String THROTTLING_POOL_SIZE

      See Also:
        Constant Field Values

    - #### THROTTLING_REPLICATION_FREQUENCY

          public static final String THROTTLING_REPLICATION_FREQUENCY

      See Also:
        Constant Field Values

    - #### THROTTLING_KEYS_TO_REPLICATE

          public static final String THROTTLING_KEYS_TO_REPLICATE

      See Also:
        Constant Field Values

    - #### WINDOW_REPLICATOR_POOL_SIZE

          public static final String WINDOW_REPLICATOR_POOL_SIZE

      See Also:
        Constant Field Values

    - #### WINDOW_REPLICATOR_FREQUENCY

          public static final String WINDOW_REPLICATOR_FREQUENCY

      See Also:
        Constant Field Values

    - #### DISTRIBUTED_COUNTER_TYPE

          public static final String DISTRIBUTED_COUNTER_TYPE

      See Also:
        Constant Field Values

    - #### DISTRIBUTED_COUNTER_CONFIGURATIONS

          public static final String DISTRIBUTED_COUNTER_CONFIGURATIONS

      See Also:
        Constant Field Values

    - #### THROTTLE_SYNC_ASYNC_HYBRID_MODE_ENABLED

          public static final String THROTTLE_SYNC_ASYNC_HYBRID_MODE_ENABLED

      See Also:
        Constant Field Values

    - #### HYBRID_THROTTLE_PROCESSOR_WINDOW_TYPE

          public static final String HYBRID_THROTTLE_PROCESSOR_WINDOW_TYPE

      See Also:
        Constant Field Values

    - #### LOCAL_QUOTA_BUFFER_PERCENTAGE

          public static final String LOCAL_QUOTA_BUFFER_PERCENTAGE

      See Also:
        Constant Field Values